Alerts
PUT /v1/update-alert/{alert_id}
Update an alert.
PUT /v1/update-alert/{alert_id}
curl --request PUT \
--url https://api.getbluejay.ai/v1/update-alert/{alert_id}import requests
url = "https://api.getbluejay.ai/v1/update-alert/{alert_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/update-alert/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/update-alert/{alert_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/update-alert/{alert_id}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/update-alert/{alert_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/update-alert/{alert_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyUpdates an alert. A field you do not send does not change. Send
simulation_id as null to apply the alert to all simulations of the agent.
Path parameters
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request PUT \
--url https://api.getbluejay.ai/v1/update-alert/{alert_id} \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"sample_size": 123,
"name": "<string>",
"description": "<string>",
"is_enabled": true,
"entity_type": "standard_metric",
"entity_field": "<string>",
"operator": "equals",
"comparison_value": "<string>",
"notification_channels": [
{
"type": "<string>",
"target": "<string>"
}
],
"applies_to_all_agents": true,
"agent_ids": [
123
],
"simulation_id": 123,
"evaluation_scope": "per_test_result",
"aggregation": "none",
"threshold_time_interval": 123,
"min_events": 123,
"min_events_type": "events",
"source_scope": "all"
}'
Example response
200
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_enabled": true,
"organization_id": "<string>",
"entity_type": "standard_metric",
"entity_field": "<string>",
"operator": "equals",
"comparison_value": "<string>",
"notification_channels": [
null
],
"last_triggered_at": "2026-01-01T00:00:00Z",
"trigger_count": 123,
"created_by": "<string>",
"applies_to_all_agents": true,
"agents": [
123
],
"simulation_id": 123,
"evaluation_scope": "<string>",
"aggregation": "<string>",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"updated_by": "<string>",
"threshold_time_interval": 123,
"min_events": 123,
"min_events_type": "events",
"in_alert": true,
"source_scope": "all",
"simulation_name": "<string>",
"sample_size": 123
}
Last modified on October 21, 2026
⌘I
PUT /v1/update-alert/{alert_id}
curl --request PUT \
--url https://api.getbluejay.ai/v1/update-alert/{alert_id}import requests
url = "https://api.getbluejay.ai/v1/update-alert/{alert_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/update-alert/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/update-alert/{alert_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/update-alert/{alert_id}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/update-alert/{alert_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/update-alert/{alert_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body